Skip to main content

Get a pass instance

GET /passes/{id}

Requires the passes:read permission.

Authorization

X-API-Key required

Parameters

NameLocationTypeRequired
idpathstringYes

Request Examples

curl -X GET "https://api.remypass.com/api/v1/public/passes/507f1f77bcf86cd799439011" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Use Case Examples

Get pass instance by ID

curl -X GET https://api.remypass.com/api/v1/public/passes/507f1f77bcf86cd799439013 \
-H "Authorization: Bearer YOUR_API_KEY"

Responses

StatusDescription
200Pass instance retrieved.
400Bad request or validation error.
401Missing or invalid API key.
403The caller is not allowed to access this resource.
404Resource not found.
500Server error.

200 Response Example

{
"success": true,
"message": "string",
"data": {
"_id": "507f1f77bcf86cd799439013",
"serialNumber": "string",
"status": "active",
"member": {},
"pass": {},
"recipientName": "string",
"recipientEmail": "user@example.com",
"expiryDate": "2026-01-01T12:00:00.000Z",
"issuedAt": "2026-01-01T12:00:00.000Z",
"walletUrls": {
"apple": "string",
"google": "string"
}
}
}

Response Fields

FieldTypeAttributes
successboolean
messagestring
dataobject
Show child attributes
  • _id: string
  • serialNumber: string
  • status: active, inactive, expired, void
  • member: string or object
    Show child attributes
    • _id: string
    • title: Mr, Ms, Mrs, Miss, Sir, Madam, Dr, Rev
    • name: string
    • email: string (email)
    • memberId: string
    • type: Member, Visitor
    • status: active, inactive
    • customFields: object
    • passes: integer
    • createdAt: string (date-time)
    • updatedAt: string (date-time)
  • pass: string or object
    Show child attributes
    • _id: string
    • name: string
    • description: string
    • type: string
    • approved: boolean
    • design: object
      Show child attributes
      • backgroundColor: string
      • foregroundColor: string
      • labelColor: string
      • voidedBackgroundColor: string
      • logoText: string
      • icon: string (uri)
      • appleLogo: string (uri)
      • googleLogo: string (uri)
      • googleWideLogo: string (uri)
      • heroImage: string (uri)
      • stripImage: string (uri)
      • colorVariants: array of object
    • loyalty: object
      Show child attributes
      • initialStamps: integer
      • maxStamps: integer
      • emptyStampIconBgColor: string
      • filledStampIcon: string (uri)
      • filledStampIconBgColor: string
      • rewardIcon: string (uri)
      • stripBackgroundColor: string
      • stripBackgroundImage: string (uri)
      • stampShape: circle, rounded, square
      • issueRewards: boolean
      • deactivateOnMaxStamps: boolean
      • rewardTitle: string
      • rewardDescription: string
      • stampSingular: string
      • stampPlural: string
  • recipientName: string
  • recipientEmail: string (email)
  • expiryDate: string (date-time)
  • issuedAt: string (date-time)
  • walletUrls: object
    Show child attributes
    • apple: string (uri)
    • google: string (uri)